Summary: Delayed job execution and batch processing
Name: at
Version: 3.1.15
Release: r0.2.0
License: GPLv2+
Group: base
Packager: Wind River <info@windriver.com>
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: flex
BuildRequires: update-rc.d-native
BuildRequires: flex-native
BuildRequires: initscripts
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
BuildRequires: libpam
Requires: libpam-runtime
Requires: flex >= 2.5.39
Requires: pam-plugin-env
Requires: libpam.so.0()(64bit)
Requires: pam-plugin-limits
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6()(64bit)
Requires: /bin/sh
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libfl.so.2()(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libpam.so.0(LIBPAM_1.0)(64bit)
Requires: initscripts-functions
Requires: libc.so.6(GLIBC_2.7)(64bit)
Requires: libpam >= 1.1.6
Requires(pre): libpam-runtime
Requires(pre): flex >= 2.5.39
Requires(pre): pam-plugin-env
Requires(pre): libpam.so.0()(64bit)
Requires(pre): pam-plugin-limits
Requires(pre): libc.so.6(GLIBC_2.3)(64bit)
Requires(pre): libc.so.6()(64bit)
Requires(pre): /bin/sh
Requires(pre): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(pre): rtld(GNU_HASH)
Requires(pre): libc.so.6(GLIBC_2.14)(64bit)
Requires(pre): libfl.so.2()(64bit)
Requires(pre): libc6 >= 2.20+sdkwrl7+27
Requires(pre): libpam.so.0(LIBPAM_1.0)(64bit)
Requires(pre): initscripts-functions
Requires(pre): libc.so.6(GLIBC_2.7)(64bit)
Requires(pre): libpam >= 1.1.6
Requires(post): libpam-runtime
Requires(post): flex >= 2.5.39
Requires(post): pam-plugin-env
Requires(post): libpam.so.0()(64bit)
Requires(post): pam-plugin-limits
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): /bin/sh
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libfl.so.2()(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): libpam.so.0(LIBPAM_1.0)(64bit)
Requires(post): initscripts-functions
Requires(post): libc.so.6(GLIBC_2.7)(64bit)
Requires(post): libpam >= 1.1.6
Requires(preun): libpam-runtime
Requires(preun): flex >= 2.5.39
Requires(preun): pam-plugin-env
Requires(preun): libpam.so.0()(64bit)
Requires(preun): pam-plugin-limits
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): /bin/sh
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libfl.so.2()(64bit)
Requires(preun): libc6 >= 2.20+sdkwrl7+27
Requires(preun): libpam.so.0(LIBPAM_1.0)(64bit)
Requires(preun): initscripts-functions
Requires(preun): libc.so.6(GLIBC_2.7)(64bit)
Requires(preun): libpam >= 1.1.6
Requires(postun): libpam-runtime
Requires(postun): flex >= 2.5.39
Requires(postun): pam-plugin-env
Requires(postun): libpam.so.0()(64bit)
Requires(postun): pam-plugin-limits
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): libc.so.6()(64bit)
Requires(postun): /bin/sh
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libfl.so.2()(64bit)
Requires(postun): libc6 >= 2.20+sdkwrl7+27
Requires(postun): libpam.so.0(LIBPAM_1.0)(64bit)
Requires(postun): initscripts-functions
Requires(postun): libc.so.6(GLIBC_2.7)(64bit)
Requires(postun): libpam >= 1.1.6
Suggests: update-rc.d
Provides: atd
Provides: elf(buildid) = 68d3742d069c96cd29213c5cd289920428581f28
Provides: elf(buildid) = 1a2aea04645bc9183b7e53315c6671184b61beb7
Obsoletes: atd

%description
At allows for commands to be run at a particular time.  Batch will execute
commands when the system load levels drop to a particular level.

%package -n at-dbg
Summary: Delayed job execution and batch processing - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: flex-dbg
Suggests: libpam-dbg
Recommends: at = 3.1.15-r0.2.0

%description -n at-dbg
At allows for commands to be run at a particular time.  Batch will execute
commands when the system load levels drop to a particular level.  This
package contains ELF symbols and related sources for debugging purposes.

%package -n at-staticdev
Summary: Delayed job execution and batch processing - Development files (Static Libraries)
Group: devel
Requires: at-dev = 3.1.15-r0.2.0

%description -n at-staticdev
At allows for commands to be run at a particular time.  Batch will execute
commands when the system load levels drop to a particular level.  This
package contains static libraries for software development.

%package -n at-dev
Summary: Delayed job execution and batch processing - Development files
Group: devel
Requires: at = 3.1.15-r0.2.0
Suggests: libpam-runtime-dev
Suggests: libpam-dev
Suggests: pam-plugin-env-dev
Suggests: initscripts-functions-dev
Suggests: pam-plugin-limits-dev
Suggests: libc6-dev
Suggests: flex-dev
Suggests: initscripts-dev

%description -n at-dev
At allows for commands to be run at a particular time.  Batch will execute
commands when the system load levels drop to a particular level.  This
package contains symbolic links, header files, and related items necessary
for software development.

%package -n at-doc
Summary: Delayed job execution and batch processing - Documentation files
Group: doc

%description -n at-doc
At allows for commands to be run at a particular time.  Batch will execute
commands when the system load levels drop to a particular level.  This
package contains documentation.

%package -n at-locale
Summary: Delayed job execution and batch processing
Group: base

%description -n at-locale
At allows for commands to be run at a particular time.  Batch will execute
commands when the system load levels drop to a particular level.

%pre
# at - preinst
#!/bin/sh
if [ -z "$D" -a -f "/etc/init.d/atd" ]; then
	/etc/init.d/atd stop
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT atd remove
fi


%post
# at - postinst
#!/bin/sh
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT="-s"
	fi
	update-rc.d $OPT atd defaults
fi


%preun
# at - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if [ -z "$D" ]; then
	/etc/init.d/atd stop
fi
fi

%postun
# at - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT=""
	fi
	update-rc.d $OPT atd remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/var"
%dir "/etc"
%dir "/usr/sbin"
%dir "/usr/bin"
"/usr/sbin/atrun"
"/usr/sbin/atd"
"/usr/bin/batch"
"/usr/bin/at"
"/usr/bin/atq"
"/usr/bin/atrm"
%dir "/var/spool"
%dir "/var/spool/at"
%dir "/var/spool/at/jobs"
%dir "/var/spool/at/spool"
"/var/spool/at/jobs/.SEQ"
%dir "/etc/pam.d"
%dir "/etc/init.d"
"/etc/at.deny"
"/etc/pam.d/atd"
"/etc/init.d/atd"

%files -n at-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/atd"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/at"
%dir "/usr/src/debug"
%dir "/usr/src/debug/at"
%dir "/usr/src/debug/at/3.1.15-r0.2"
%dir "/usr/src/debug/at/3.1.15-r0.2/at-3.1.15"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/lex.yy.c"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/perm.c"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/at.h"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/y.tab.h"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/panic.h"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/parsetime.l"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/parsetime.y"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/panic.c"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/y.tab.c"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/privs.h"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/daemon.c"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/posixtm.h"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/posixtm.c"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/perm.h"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/atd.c"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/parsetime.h"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/daemon.h"
"/usr/src/debug/at/3.1.15-r0.2/at-3.1.15/at.c"

%files -n at-dev
%defattr(-,-,-,-)

%files -n at-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/doc"
%dir "/usr/share/man/man8"
%dir "/usr/share/man/man5"
%dir "/usr/share/man/man1"
"/usr/share/man/man8/atd.8"
"/usr/share/man/man8/atrun.8"
"/usr/share/man/man5/at.allow.5"
"/usr/share/man/man5/at.deny.5"
"/usr/share/man/man1/atq.1"
"/usr/share/man/man1/batch.1"
"/usr/share/man/man1/atrm.1"
"/usr/share/man/man1/at.1"
%dir "/usr/share/doc/at"
"/usr/share/doc/at/Problems"
"/usr/share/doc/at/README"
"/usr/share/doc/at/Copyright"
"/usr/share/doc/at/timespec"
"/usr/share/doc/at/ChangeLog"

